------------------------------
--      Are you local?      --
------------------------------

local lady = BB["Lady Sacrolash"]
local lock = BB["Grand Warlock Alythess"]
local name = "The Eredar Twins Conflag/Nova"
local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..name)
local boss = BB["The Eredar Twins"]
local LBW = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)
local db = nil
local pName = UnitName("player")

----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
	cmd = "Conflag/Nova",

	enabled = "Enable Say",
	enabled_desc = "Turn on say when targetted with Conflag/Shadow Nova",
	
	nova = "Shadow Nova",
	nova_say = "Nova on me!",

	conflag = "Conflagration",
	conflag_say = "Conflag on me!",
} end )

L:RegisterTranslations("deDE", function() return {
	enabled = "Aktiviere Ankündigen",
	enabled_desc = "Aktiviere das Ankündigen(Sprechblase) wenn man selbst das Ziel von Großbrand/Schattennova ist.",
	
	nova = "Schattennova",
	nova_say = "Nova auf MIR!",

	conflag = "Großbrand",
	conflag_say = "Großbrand auf MIR!",
} end )

L:RegisterTranslations("zhCN", function() return {
	cmd = "燃烧/新星",

	enabled = "启用喊话",
	enabled_desc = "当受到燃烧/新星时自我叫喊警告周围队员",
	
	nova = "暗影新星",
	nova_say = "我中了> 新星 <!",

	conflag = "燃烧",
	conflag_say = "我..> 燃烧 < 了!",
} end )

----------------------------------
--      Module Declaration      --
----------------------------------

local mod = BigWigs:NewModule(name)
mod.synctoken = name
mod.zonename = BZ["Sunwell Plateau"]
mod.enabletrigger = {lady, lock}
mod.toggleoptions = {"enabled"}
mod.revision = tonumber(("$Revision: 70671 $"):sub(12, -3))
mod.external = true

------------------------------
--      Initialization      --
------------------------------

function mod:OnEnable()
	self:RegisterEvent("CHAT_MSG_RAID_BOSS_EMOTE")
	db = self.db.profile
	BigWigs:Print("Eredar Twins say warnings is enabled")

end

------------------------------
--      Event Handlers      --
------------------------------

function mod:CHAT_MSG_RAID_BOSS_EMOTE(_, unit, _, _, player)
	if unit == lady and db.enabled then
		if player == pName then
			SendChatMessage(L["nova_say"], "SAY")
		end
	elseif unit == lock and db.enabled then
		if player == pName then
			SendChatMessage(L["conflag_say"], "SAY")
		end
	end
end